.input-nota-container {
	box-sizing: border-box;
	font-size: inherit;
	position: relative;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
	-webkit-box-orient: horizontal;
	-webkit-box-direction: normal;
	-ms-flex-direction: row;
	flex-direction: row;
	-ms-flex-line-pack: center;
	align-content: center;
	justify-content: center;
    position: relative;
    height: 100%;
	min-width: 100px;
}
.input-nota-container.slider{
	padding-bottom: 5px; 
}

.input-nota-container .slider-nota{
	width: 100%;
	display:none;
}
.input-nota-container.slider .slider-nota{
	width: 100%;
	display:block;
}
.input-nota-container.red input[type="text"] {
	color: #ff5353;
	border-color: transparent;
}
.input-nota-container.yellow input[type="text"] {
	color: #d4b900;
	border-color: transparent;
}
.input-nota-container.green input[type="text"]{
	color: #00cf44;
	border-color: transparent;
}
.input-nota-container input[type="text"] {
	width: 50px !important;
	padding: 0 !important;
	box-sizing: border-box !important;
	position: relative !important;
	background-color: transparent !important;
	height: 100% !important;
	text-align: center !important;
	border-color: transparent !important;
    margin: 0 !important;
    cursor:default;
}
.input-nota-container.edit input[type="text"] {
	border-color: #ccc;
	padding-right: 20px;
	cursor: pointer;	
}
.input-nota-container.edit .btn {
	display: block;
	cursor: pointer;
}
.input-nota-container .btn {
	width: 15px;
	padding: 0;
	border: none;
	background: transparent no-repeat center center / contain;
	background-image: none;
	cursor: default;
	margin: 0 5px;
	display: none;
}
.input-nota-container .btn:hover {
	opacity: 0.6;	
}
.input-nota-container .btn:focus{
    box-shadow: none;
}
.input-nota-container .btn.up{
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' class='bpl' x='0px' y='0px' viewBox='0 0 24.7 24.8' %3E%3Cstyle type='text/css'%3E .bpl-st0%7Bfill:%23222222;%7D%3C/style%3E%3Cpath class='bpl-st0' d='M12.3,0C5.5,0,0,5.5,0,12.4s5.5,12.4,12.3,12.4s12.4-5.5,12.4-12.4S19.2,0,12.3,0z M12.3,23 C6.5,23,1.7,18.2,1.7,12.4c0-5.9,4.8-10.6,10.6-10.6C18.2,1.7,23,6.5,23,12.4C23,18.2,18.2,23,12.3,23z'/%3E%3Cpolygon class='bpl-st0' points='18.6,11.5 18.6,13.2 13.2,13.2 13.2,18.6 11.5,18.6 11.5,13.2 6.1,13.2 6.1,11.5 11.5,11.5 11.5,6.1 13.2,6.1 13.2,11.5 '/%3E%3C/svg%3E");
}
.input-nota-container .btn.down {
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' class='bls' x='0px' y='0px' viewBox='0 0 24.7 24.8' %3E%3Cstyle type='text/css'%3E .bls-st0%7Bfill:%23222222;%7D%3C/style%3E%3Cpath class='bls-st0' d='M12.3,0C5.5,0,0,5.5,0,12.4s5.5,12.4,12.3,12.4s12.4-5.5,12.4-12.4S19.2,0,12.3,0z M12.3,23 C6.5,23,1.7,18.2,1.7,12.4c0-5.9,4.8-10.6,10.6-10.6C18.2,1.7,23,6.5,23,12.4C23,18.2,18.2,23,12.3,23z'/%3E%3Cpath class='bls-st0' d='M18.6,13.5v-2.3c0,0,0,0-0.1,0H6.1v2.3H18.6z'/%3E%3C/svg%3E");
}

.input-nota-container svg {
	width: 100%;
	height:100%;
}

.input-nota-container .slider-nota {
	height: 2px;
	background: #bbb;
	position: absolute;
	margin: 6px 0;
	padding: 0px;
	bottom: -3px;
	opacity: 0;
	border: none;
}
.input-nota-container.edit .slider-nota{
	opacity:1;
}
.input-nota-container .ui-slider-handle.ui-corner-all.ui-state-default {
	width: 11px;
	height: 11px;
	border-radius: 100%;
	background: #1CB5E3;
	border: none;
	cursor: pointer;
	margin-top: -1px;
}

@media only screen and (max-width : 1160px) {
	 .input-nota-container {
		box-sizing: border-box;
		font-size: inherit;
		position: relative;
		display: -webkit-box;
		display: -ms-flexbox;
		display: flex;
		-ms-flex-wrap: wrap;
		flex-wrap: wrap;
		-webkit-box-orient: horizontal;
		-webkit-box-direction: normal;
		-ms-flex-direction: row;
		flex-direction: row;
		-ms-flex-line-pack: center;
		align-content: center;
		justify-content: center;
	    position: relative;
	    height: 100%;
		min-width: 7.1vw;
	}
	.input-nota-container.slider{
		padding-bottom: 0.833vw; 
	}
	
	.input-nota-container .slider-nota{
		width: 100%;
		display:none;
	}
	.input-nota-container.slider .slider-nota{
		width: 100%;
		display:block;
	}
	.input-nota-container.red input[type="text"] {
		color: #ff5353;
		border-color: transparent;
	}
	.input-nota-container.yellow input[type="text"] {
		color: #d4b900;
		border-color: transparent;
	}
	.input-nota-container.green input[type="text"]{
		color: #00cf44;
		border-color: transparent;
	}
	.input-nota-container input[type="text"] {
		width: 3vw !important;
		padding: 0 !important;
		box-sizing: border-box !important;
		position: relative !important;
		background-color: transparent !important;
		height: 100% !important;
		text-align: center !important;
		border-color: transparent !important;
		margin: 0 0 0 0 !important;
		font-size: inherit;
	}
	.input-nota-container.edit input[type="text"] {
		border-color: #ccc;
		padding-right: 3.333vw;
		cursor: pointer;	
	}
	.input-nota-container.edit .btn {
		display: block;
	}
	.input-nota-container .btn {
		width: 1vw;
		padding: 0;
		border: none;
		background: transparent no-repeat center center / contain;
		background-image: none;
		cursor: pointer;
		margin: 0 0.3vw 0 0.3vw;
		display: none;
	}
	.input-nota-container .btn:hover {
		opacity: 0.6;	
	}
	.input-nota-container .btn:focus{
	    box-shadow: none;
	}
	.input-nota-container .btn.up{
		background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' class='bpl' x='0px' y='0px' viewBox='0 0 24.7 24.8' %3E%3Cstyle type='text/css'%3E .bpl-st0%7Bfill:%23222222;%7D%3C/style%3E%3Cpath class='bpl-st0' d='M12.3,0C5.5,0,0,5.5,0,12.4s5.5,12.4,12.3,12.4s12.4-5.5,12.4-12.4S19.2,0,12.3,0z M12.3,23 C6.5,23,1.7,18.2,1.7,12.4c0-5.9,4.8-10.6,10.6-10.6C18.2,1.7,23,6.5,23,12.4C23,18.2,18.2,23,12.3,23z'/%3E%3Cpolygon class='bpl-st0' points='18.6,11.5 18.6,13.2 13.2,13.2 13.2,18.6 11.5,18.6 11.5,13.2 6.1,13.2 6.1,11.5 11.5,11.5 11.5,6.1 13.2,6.1 13.2,11.5 '/%3E%3C/svg%3E");
	}
	.input-nota-container .btn.down {
		background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' class='bls' x='0px' y='0px' viewBox='0 0 24.7 24.8' %3E%3Cstyle type='text/css'%3E .bls-st0%7Bfill:%23222222;%7D%3C/style%3E%3Cpath class='bls-st0' d='M12.3,0C5.5,0,0,5.5,0,12.4s5.5,12.4,12.3,12.4s12.4-5.5,12.4-12.4S19.2,0,12.3,0z M12.3,23 C6.5,23,1.7,18.2,1.7,12.4c0-5.9,4.8-10.6,10.6-10.6C18.2,1.7,23,6.5,23,12.4C23,18.2,18.2,23,12.3,23z'/%3E%3Cpath class='bls-st0' d='M18.6,13.5v-2.3c0,0,0,0-0.1,0H6.1v2.3H18.6z'/%3E%3C/svg%3E");
	}
	
	.input-nota-container svg {
		width: 100%;
		height: 100%;
	}
	
	.input-nota-container .slider-nota {
		height: 0.2vw;
		background: #bbb;
		position: absolute;
		margin: 0.7vw 0;
		padding: 0.0vw;
		bottom: -0.5vw;
		opacity: 0;
		border: none;
	}
	.input-nota-container.edit .slider-nota{
		opacity: 1;
	}
	.input-nota-container .ui-slider-handle.ui-corner-all.ui-state-default {
		width: 0.8vw;
		height: 0.8vw;
		border-radius: 100%;
		background: #1CB5E3;
		border: none;
		cursor: pointer;
		margin-top: 0vw;
	}    
}
